package com.yihu.jw.util.common;

import java.math.BigDecimal;

/**
 * Created by Trick on 2019/9/17.
 */
public class PercentageUtil {

    /**
     * 求百分比
     * @param a
     * @param b
     * @return
     */
    public static double bs(int a, int b) {

        if(b==0||a==0){
            return 0;
        }
        return ((new BigDecimal((float) a / b).setScale(4, BigDecimal.ROUND_HALF_UP).doubleValue()) * 100);
    }

//    public static void main(String[] args) {
//        double v = bs(0,545);
//        String str = v+"%";
//        System.out.println(str);
//    }
}
